package com.gic.cloud.data.hook.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 过滤项
 * @TableName dh_flat_query_filter
 */
public class QueryFilterInfoDTO implements Serializable {
    /**
     * 
     */
    private Integer filterId;

    /**
     * 过滤编号
     */
    private String filterCode;

    /**
     * 过滤名称
     */
    private String filterName;

    /**
     * 前端控件编号
     */
    private String weightCode;

    /**
     * 搜索描述
     */
    private String filterSearchTip;

    /**
     * 过滤类型  0 枚举  1调用接口
     */
    private Integer filterType;

    /**
     * 是否删除
     */
    private Integer delFlag;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public Integer getFilterId() {
        return filterId;
    }

    /**
     * 
     */
    public void setFilterId(Integer filterId) {
        this.filterId = filterId;
    }

    /**
     * 过滤编号
     */
    public String getFilterCode() {
        return filterCode;
    }

    /**
     * 过滤编号
     */
    public void setFilterCode(String filterCode) {
        this.filterCode = filterCode;
    }

    /**
     * 过滤名称
     */
    public String getFilterName() {
        return filterName;
    }

    /**
     * 过滤名称
     */
    public void setFilterName(String filterName) {
        this.filterName = filterName;
    }

    /**
     * 前端控件编号
     */
    public String getWeightCode() {
        return weightCode;
    }

    /**
     * 前端控件编号
     */
    public void setWeightCode(String weightCode) {
        this.weightCode = weightCode;
    }

    /**
     * 搜索描述
     */
    public String getFilterSearchTip() {
        return filterSearchTip;
    }

    /**
     * 搜索描述
     */
    public void setFilterSearchTip(String filterSearchTip) {
        this.filterSearchTip = filterSearchTip;
    }

    /**
     * 过滤类型  0 枚举  1调用接口
     */
    public Integer getFilterType() {
        return filterType;
    }

    /**
     * 过滤类型  0 枚举  1调用接口
     */
    public void setFilterType(Integer filterType) {
        this.filterType = filterType;
    }

    /**
     * 是否删除
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 是否删除
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", filterId=").append(filterId);
        sb.append(", filterCode=").append(filterCode);
        sb.append(", filterName=").append(filterName);
        sb.append(", weightCode=").append(weightCode);
        sb.append(", filterSearchTip=").append(filterSearchTip);
        sb.append(", filterType=").append(filterType);
        sb.append(", delFlag=").append(delFlag);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}