package com.gic.cloud.data.hook.service.deal;

import com.gic.api.base.commons.Page;
import com.gic.cloud.data.hook.api.dto.FilterQueryDataDTO;

import java.util.List;

public interface BaseQueryFilter {
    /**
     * 获取名称
     * @return
     */
    boolean checkFilter(QueryFilterContext context);

    /**
     * 获取信息
     * @return
     */
    Page<FilterQueryDataDTO> pageQueryData(QueryFilterContext context);

    /**
     * 回显信息
     * @param context
     * @return
     */
    List<FilterQueryDataDTO> listBackByItems(QueryFilterContext context);
}
